package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户标签对象 ai_user_label
 * 
 * @author max
 * @date 2023-05-14
 */
public class AiUserLabel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 类型1职业，2兴趣爱好，3关注点 */
    @Excel(name = "类型1职业，2兴趣爱好，3关注点")
    private Integer labelType;

    /** 名称 */
    @Excel(name = "名称")
    private String label;

    /** 值 */
    @Excel(name = "值")
    private String labelVal;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setLabelType(Integer labelType) 
    {
        this.labelType = labelType;
    }

    public Integer getLabelType() 
    {
        return labelType;
    }
    public void setLabel(String label) 
    {
        this.label = label;
    }

    public String getLabel() 
    {
        return label;
    }
    public void setLabelVal(String labelVal) 
    {
        this.labelVal = labelVal;
    }

    public String getLabelVal() 
    {
        return labelVal;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("labelType", getLabelType())
            .append("label", getLabel())
            .append("labelVal", getLabelVal())
            .toString();
    }
}
